Die Inventor FAQ wird unterstützt von:

Inventor FAQ Logo

09.05.2019

MUM cadmesse 2019 vom 21.–23. Mai

Auch dieses Jahr veranstaltet Mensch und Maschine die cadmesse. Einfach und bequem vom Schreibtisch aus die wichtigsten Infos bekommen und entspannt weiterbilden!

Auszug aus dem Mechanik-Webinarkatalog:


https://www.cadmesse.de

26.03.2019

Smart Manufacturing Day am 9. Mai in Kressbronn Bodensee (u.a. Neuerungen in Inventor und Vault 2020)

Meine Kollegen von MUM veranstalten am Do., 9. Mai den Smart Manufacturing Day in Kressbronn.

AGENDA

09:30-10:00 Uhr   
Begrüßung und Frühstück
Artur Kaiser, Mensch und Maschine

10:00-11:00 Uhr
Elektroplanung in BIM-Projekten / eXs: the Future of CAE
Edvard Lenard, Mensch und Maschine

11:00-12:00 Uhr
hyperMILL® die CAM-Lösung für Autodesk Inventor
Ales Vurusic und Uwe Neubrandt, OPEN MIND

12:00-13:00 Uhr
Gemeinsames Mittagessen

13:00-14:00 Uhr
Die technische Gebäudeausrüstung in der Zukunft - ein Ausblick
Andreas Bartl und Niklas Nawrath, Techdata

14:00-14:45 Uhr
Generatives Design – die langsame Revolution und 3D-Druck
Alex Wouters, Mensch und Maschine

14:45-15:00 Uhr
Pause mit Verlosung
Gewinnen Sie eine CadMouse Wireless inkl. Mousepad

15:15-16:00 Uhr
Autodesk Inventor/Vault 2020 Was gibt es Neues?
Matthias Schindler und Alexander Frank, Mensch und Maschine

Ort: Yachthotel Schattmaier // Seminarraum Kiel
Im Wassersportzentrum 12, D-88079 Kressbronn-Gohren

Infoseite…

Anmeldung hier!

05.02.2019

iLogic: Zwischen verschiedenen Detailgenauigkeiten wechseln

Wie kann ich einen Schaltfläche bauen, mit der ich zirkulär durch bestimmte Detailgenauigkeiten (LOD) wechseln kann, so wie im Bild zu sehen:

ersatz1


Dim oDoc As Inventor.AssemblyDocument 
oDoc = ThisDoc.Document

Dim oAsmCompDef As ComponentDefinition
oAsmCompDef = oDoc.ComponentDefinition

Dim aktivesLOD As String = oAsmCompDef.RepresentationsManager.ActiveLevelOfDetailRepresentation.Name

Select Case aktivesLOD
	'LOD NAMEN ANPASSEN!!
Case "Ersatz1"
	LOD = "Ersatz2"
Case "Ersatz2"
	LOD = "Ersatz3"
Case "Ersatz3"
	LOD = "Ersatz1"
End Select

Try
	oAsmCompDef.RepresentationsManager.LevelOfDetailRepresentations.Item(LOD).Activate(True)
Catch
	MsgBox ("Fehler beim umstellen auf LOD " & LOD)
End Try

'oDoc.Update
oDoc.Update2


Zum Aufruf mittels Schaltfläche ein Formular erstellen und dort die Regel rein ziehen.

2018-12-11 19_34_11

[Quelle. Danke an Aleks für sein Codebeispiel das als Basis diente]

29.01.2019

Splineende lotrecht zu Linie ausrichten

Wie kann ich das Ende eines Splines lotrecht zu einer Skizzenlinie ausrichten?

  1. Durch Splineendpunkt und lotrecht zur Skizzenlinie eine Linie erstellen
  2. Spline mit Abhängigkeit Tangential zu der Linie aus Schritt 1 tangential machen.

spline_tangente

Alternative Möglichkeit von WH in der Quelle unten.

[Quelle]

Inventor FAQ Newsletter. Emailadresse: